bitel.billing.server.bill.bean

## Class Position

- java.lang.Object
- - bitel.billing.server.bill.bean.Position

- All Implemented Interfaces:
    ListItem

      public class Position
      extends java.lang.Object
      implements ListItem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Position()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDynclass()`
    `java.lang.String` | `getExtractor()`
    `int` | `getId()`
    `java.lang.String` | `getName()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getParams()`
    `java.lang.String` | `getQtyNumsAfterComma()`
    `java.lang.String` | `getQtyNumsRoundingMode()`
    `java.lang.String` | `getQuantity()`
    `java.lang.String` | `getSumm()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getUnit()`
    `java.lang.String` | `getUnitCode()`
    `boolean` | `isAddWhenLessZero()`
    `boolean` | `isInSum()`
    `void` | `setAddWhenLessZero(boolean addWhenLessZero)`
    `void` | `setDynclass(java.lang.String dynclass)`
    `void` | `setExtractor(java.lang.String extractor)`
    `void` | `setId(int id)`
    `void` | `setInSum(boolean inSum)`
    `void` | `setName(java.lang.String name)`
    `void` | `setParams(java.util.Map<java.lang.String,java.lang.String> params)`
    `void` | `setQtyNumsAfterComma(java.lang.String qtyNumsAfterComma)`
    `void` | `setQtyNumsRoundingMode(java.lang.String qtyNumsRoundingMode)`
    `void` | `setQuantity(java.lang.String quantity)`
    `void` | `setSumm(java.lang.String summ)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setUnit(java.lang.String unit)`
    `void` | `setUnitCode(java.lang.String unitCode)`
    `DocumentPositionSpec` | `toDocumentPositionSpec()`
    `void` | `toXmlElement(org.w3c.dom.Element pos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Position

          public Position()

  - ### Method Detail

    - #### getSumm

          public java.lang.String getSumm()

    - #### setSumm

          public void setSumm(java.lang.String summ)

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `ListItem`

    - #### setId

          public void setId(int id)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `ListItem`

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### isInSum

          public boolean isInSum()

    - #### setInSum

          public void setInSum(boolean inSum)

    - #### isAddWhenLessZero

          public boolean isAddWhenLessZero()

    - #### setAddWhenLessZero

          public void setAddWhenLessZero(boolean addWhenLessZero)

    - #### getUnit

          public java.lang.String getUnit()

    - #### setUnit

          public void setUnit(java.lang.String unit)

    - #### getUnitCode

          public java.lang.String getUnitCode()

    - #### setUnitCode

          public void setUnitCode(java.lang.String unitCode)

    - #### getExtractor

          public java.lang.String getExtractor()

    - #### setExtractor

          public void setExtractor(java.lang.String extractor)

    - #### getQuantity

          public java.lang.String getQuantity()

    - #### setQuantity

          public void setQuantity(java.lang.String quantity)

    - #### getQtyNumsAfterComma

          public java.lang.String getQtyNumsAfterComma()

    - #### setQtyNumsAfterComma

          public void setQtyNumsAfterComma(java.lang.String qtyNumsAfterComma)

    - #### getQtyNumsRoundingMode

          public java.lang.String getQtyNumsRoundingMode()

    - #### setQtyNumsRoundingMode

          public void setQtyNumsRoundingMode(java.lang.String qtyNumsRoundingMode)

    - #### getParams

          public java.util.Map<java.lang.String,java.lang.String> getParams()

    - #### setParams

          public void setParams(java.util.Map<java.lang.String,java.lang.String> params)

    - #### toDocumentPositionSpec

          public DocumentPositionSpec toDocumentPositionSpec()

    - #### getDynclass

          public java.lang.String getDynclass()

    - #### setDynclass

          public void setDynclass(java.lang.String dynclass)

    - #### toXmlElement

          public void toXmlElement(org.w3c.dom.Element pos)